Bug 219160 - [GTK] Migrate WebKitTestServer to libsoup 2.48 API
Summary: [GTK] Migrate WebKitTestServer to libsoup 2.48 API
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Tools / Tests (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Frédéric Wang (:fredw)
URL:
Keywords: InRadar
Depends on:
Blocks: 219257
  Show dependency treegraph
 
Reported: 2020-11-19 07:15 PST by Frédéric Wang (:fredw)
Modified: 2020-11-23 06:31 PST (History)
4 users (show)

See Also:


Attachments
Untested patch (1.93 KB, patch)
2020-11-19 07:15 PST, Frédéric Wang (:fredw)
no flags Details | Formatted Diff | Diff
Untested patch (1.93 KB, patch)
2020-11-19 07:16 PST, Frédéric Wang (:fredw)
no flags Details | Formatted Diff | Diff
Untested patch (1.93 KB, patch)
2020-11-19 07:17 PST, Frédéric Wang (:fredw)
cgarcia: review+
Details | Formatted Diff | Diff
Patch (3.10 KB, patch)
2020-11-20 00:54 PST, Frédéric Wang (:fredw)
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Frédéric Wang (:fredw) 2020-11-19 07:15:42 PST
Created attachment 414575 [details]
Untested patch

It seems our WebDriver code uses the new soup_server_listen APIs from 2.48, so the code added in bug 146165 is no longer correct, we should really require 2.48 or higher.
Comment 1 Frédéric Wang (:fredw) 2020-11-19 07:16:25 PST
Created attachment 414576 [details]
Untested patch
Comment 2 Frédéric Wang (:fredw) 2020-11-19 07:17:07 PST
Created attachment 414577 [details]
Untested patch
Comment 3 Frédéric Wang (:fredw) 2020-11-19 09:52:16 PST
Comment on attachment 414577 [details]
Untested patch

Please take a look.

Disclaimer: I haven't use glib for a long time, hopefully I haven't misused the API.
Comment 4 Frédéric Wang (:fredw) 2020-11-20 00:54:40 PST
Created attachment 414660 [details]
Patch
Comment 5 EWS 2020-11-20 01:40:37 PST
Committed r270074: <https://trac.webkit.org/changeset/270074>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 414660 [details].
Comment 6 Radar WebKit Bug Importer 2020-11-20 01:41:16 PST
<rdar://problem/71620310>